# SPDX-License-Identifier: (GPL-2.0 OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/iio/proximity/rfdigital,rfd77402.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: RF Digital RFD77402 ToF sensor

maintainers:
  - Shrikant Raskar <raskar.shree97@gmail.com>

description:
  The RF Digital RFD77402 is a Time-of-Flight (ToF) proximity and distance
  sensor providing up to 200 mm range measurement over an I2C interface.

properties:
  compatible:
    const: rfdigital,rfd77402

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1
    description:
      Interrupt asserted when a new distance measurement is available.

  vdd-supply:
    description: Regulator that provides power to the sensor.

required:
  - compatible
  - reg
  - vdd-supply

additionalProperties: false

examples:
  - |
    #include <dt-bindings/interrupt-controller/irq.h>
    i2c {
        #address-cells = <1>;
        #size-cells = <0>;

        proximity@4c {
            compatible = "rfdigital,rfd77402";
            reg = <0x4c>;
            vdd-supply = <&vdd_3v3>;
            interrupt-parent = <&gpio>;
            interrupts = <4 IRQ_TYPE_EDGE_FALLING>;
        };
    };
...
